
D4Science Infrastructure - Task #10678

DMPoolManager - conflicts between the dataminer-proto-ghost and svn

Dec 13, 2017 12:16 PM - Giancarlo Panichi

Status: Closed Start date: Dec 13, 2017

Priority: High Due date: Dec 14, 2017

Assignee: Ciro Formisano % Done: 100%

Category: Application Estimated time: 0.00 hour

Target version: DMPoolManager - bugs fix   

Infrastructure: Production   

Description

Our users are no longer able to update their algorithms because the dataminer-proto-ghost does not commit correctly on svn.

This could be, because the DMPoolManager does not "Update to Head" before committing.

For example the file CREATEAFFIXRULES_interface.jar in the folder:

~/wps_algorithms/algorithms/proto/software 

It is in conflict state.

This conflict is not reported as an error, which it would be better to do.

History

#2 - Dec 13, 2017 02:25 PM - Giancarlo Panichi

To unlock this situation and to allow users to work, I updated the dataminer-proto-ghost. So now, it works. It would be better if there was an error

notification in case of conflicts with svn.

#3 - Dec 13, 2017 02:56 PM - Pasquale Pagano

- Priority changed from Normal to High

#4 - Dec 14, 2017 11:21 AM - Giancarlo Panichi

Today, I noticed that DMPoolManager does not add the algorithms on svn when they are new:

svn status | grep ?

?       MPA_INTERSECT_V4.jar

?       MPA_INTERSECT_V4_interface.jar

?       PLANT_HEIGHT_MODEL.jar

?       PLANT_HEIGHT_MODEL_interface.jar

 Please @ciro.formisano@eng.it, can you check?

Thanks

#5 - Dec 14, 2017 01:25 PM - Giancarlo Panichi

- Status changed from New to Closed

- % Done changed from 0 to 100

Thanks to @ciro.formisano@eng.it , we have solved the question this morning, now everything works. in the future some  notifications will be added

to DMPoolManager for report conflicts. So we can close this ticket.

#6 - Dec 15, 2017 12:36 PM - Giancarlo Panichi

- Due date set to Dec 14, 2017
